Bug 865948 - kernel-3.6.1-1 breaks on Dell Inspiron 1545
kernel-3.6.1-1 breaks on Dell Inspiron 1545
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 865949 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 17:26 EDT by Jim Haynes
Modified: 2012-10-16 16:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 05:36:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages from bootups with older and 3.6.1-1 kernels (404.66 KB, text/plain)
2012-10-12 17:26 EDT, Jim Haynes
no flags Details

  None (edit)
Description Jim Haynes 2012-10-12 17:26:52 EDT
Created attachment 626298 [details]
/var/log/messages from bootups with older and 3.6.1-1 kernels

Description of problem:Dell Inspiron 1545 won't work
(details below)


Version-Release number of selected component (if applicable):
3.6.1-1.fc17.x86_64

How reproducible:
very

Steps to Reproduce:
1.boot up system
2.try to log in
3.
  
Actual results: first, during bootup, there is a lot of gibberish displayed
on the screen briefly, in between appearances of the Plymouth balloon.  Then
get the login screen (gnome 3) and enter name and password.  After a while
it displays a frowny face saying something went wrong and to try again.
Selecting shutdown at this point does not shut the machine down - had to
hold the power button down to get it to shut down.


Expected results: Normal login and functioning


Additional info: attaching excerpt from /var/log/messages showing bootups
with earlier kernel, successful, and with 3.6.1-1 kernel
Comment 1 Josh Boyer 2012-10-13 08:53:57 EDT
*** Bug 865949 has been marked as a duplicate of this bug. ***
Comment 2 Josh Boyer 2012-10-15 05:36:40 EDT
You're getting a backtrace from the wl module:

Oct 12 15:41:05 Henry kernel: [   24.522177] ------------[ cut here ]------------
Oct 12 15:41:05 Henry kernel: [   24.522223] kernel BUG at include/net/cfg80211.h:2473!
Oct 12 15:41:05 Henry kernel: [   24.522255] invalid opcode: 0000 [#1] SMP 
Oct 12 15:41:05 Henry kernel: [   24.522289] Modules linked in: bluetooth nf_conntrack_ipv4 ip6t_REJECT nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables lib80211_crypt_tkip uvcvideo wl(PO) videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media cfg80211 snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep i2c_i801 iTCO_wdt iTCO_vendor_support lpc_ich mfd_core snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd coretemp rfkill lib80211 soundcore microcode serio_raw sky2 dell_wmi sparse_keymap dell_laptop dcdbas uinput ums_realtek usb_storage wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core
Oct 12 15:41:05 Henry kernel: [   24.522773] CPU 0 
Oct 12 15:41:05 Henry kernel: [   24.522791] Pid: 673, comm: wpa_supplicant Tainted: P           O 3.6.1-1.fc17.x86_64 #1 Dell Inc. Inspiron 1545                   /0G848F
Oct 12 15:41:05 Henry kernel: [   24.522862] RIP: 0010:[<ffffffffa0363326>]  [<ffffffffa0363326>] wdev_priv.part.8+0x4/0x6 [wl]
Oct 12 15:41:05 Henry kernel: [   24.522940] RSP: 0018:ffff880118a8d958  EFLAGS: 00010246
Oct 12 15:41:05 Henry kernel: [   24.522973] RAX: 0000000000000000 RBX: ffff8801164471e0 RCX: ffff8801164471e0
Oct 12 15:41:05 Henry kernel: [   24.523004] RDX: ffff8801164471e0 RSI: ffff88011667a400 RDI: ffff8801164471e0
Oct 12 15:41:05 Henry kernel: [   24.523014] RBP: ffff880118a8d958 R08: ffff88011fc16aa0 R09: 0000000000000023
Oct 12 15:41:05 Henry kernel: [   24.523014] R10: 0000000000000003 R11: ffff88011b002a00 R12: ffff880116447000
Oct 12 15:41:05 Henry kernel: [   24.523014] R13: ffff88011667a400 R14: ffff88011667a400 R15: 0000000000000000
Oct 12 15:41:05 Henry kernel: [   24.523014] FS:  00007f50b06cc800(0000) GS:ffff88011fc00000(0000) knlGS:0000000000000000
Oct 12 15:41:05 Henry kernel: [   24.523014] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Oct 12 15:41:05 Henry kernel: [   24.523014] CR2: 00000000008c8908 CR3: 0000000117784000 CR4: 00000000000007f0
Oct 12 15:41:05 Henry kernel: [   24.523014] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Oct 12 15:41:05 Henry kernel: [   24.523014] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Oct 12 15:41:05 Henry kernel: [   24.523014] Process wpa_supplicant (pid: 673, threadinfo ffff880118a8c000, task ffff88011536dc40)
Oct 12 15:41:05 Henry kernel: [   24.523014] Stack:
Oct 12 15:41:05 Henry kernel: [   24.523014]  ffff880118a8d9a8 ffffffffa0360544 ffffffffa023ec78 ffffffffa023ec78
Oct 12 15:41:05 Henry kernel: [   24.523014]  000000000000000c ffff880118a8da28 ffff880116447000 0000000000000001
Oct 12 15:41:05 Henry kernel: [   24.523014]  ffff88011667a400 0000000000000000 ffff880118a8da08 ffffffffa023f005
Oct 12 15:41:05 Henry kernel: [   24.523014] Call Trace:
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffffa0360544>] wl_cfg80211_scan+0x3f4/0x480 [wl]
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffffa023ec78>] ? nl80211_trigger_scan+0xf8/0x610 [cfg80211]
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffffa023ec78>] ? nl80211_trigger_scan+0xf8/0x610 [cfg80211]
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffffa023f005>] nl80211_trigger_scan+0x485/0x610 [cfg80211]
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81536f70>] genl_rcv_msg+0x250/0x2d0
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81536d20>] ? genl_rcv+0x40/0x40
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81536891>] netlink_rcv_skb+0xa1/0xb0
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81536d05>] genl_rcv+0x25/0x40
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff815361ed>] netlink_unicast+0x19d/0x220
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81536548>] netlink_sendmsg+0x2d8/0x390
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff814f598c>] sock_sendmsg+0xbc/0xf0
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff811861db>] ? __mem_cgroup_commit_charge+0x16b/0x3a0
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81129551>] ? page_waitqueue+0x1/0x90
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff814f5d6c>] __sys_sendmsg+0x3ac/0x3c0
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff81154839>] ? handle_mm_fault+0x259/0x320
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff8161e17c>] ? do_page_fault+0x1bc/0x4b0
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff810d7a2c>] ? __audit_syscall_exit+0x3ec/0x450
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff814f7c09>] sys_sendmsg+0x49/0x90
Oct 12 15:41:05 Henry kernel: [   24.523014]  [<ffffffff816226e9>] system_call_fastpath+0x16/0x1b
Oct 12 15:41:05 Henry kernel: [   24.523014] Code: e7 e8 5f 79 ff ff 48 89 df e8 27 be f9 e0 31 f6 4c 89 ef e8 1d b3 05 e1 5b 41 5c 41 5d 41 5e 5d c3 55 48 89 e5 0f 0b 55 48 89 e5 <0f> 0b 55 48 89 e5 66 66 66 66 90 0f 0b 55 48 89 e5 66 66 66 66 
Oct 12 15:41:05 Henry kernel: [   24.523014] RIP  [<ffffffffa0363326>] wdev_priv.part.8+0x4/0x6 [wl]
Oct 12 15:41:05 Henry kernel: [   24.523014]  RSP <ffff880118a8d958>
Oct 12 15:41:05 Henry kernel: [   24.543508] ---[ end trace 48d57bc0e20ce93b ]---

We don't support proprietary modules.  You'll need to get this working yourself.
Comment 3 Jim Haynes 2012-10-16 16:10:47 EDT
OK I figured out that the wl module is the one in rpmfusion for the Broadcom
wireless adapter.  The bug has been noted on the rpmfusion bugzilla and a
fix is about to come out.

Note You need to log in before you can comment on or make changes to this bug.